Page MenuHomePhabricator

Add Aliases Field to Special:NewItem
Closed, ResolvedPublic

Description

On dewiki my bot creates links to prepopulated forms, so that making wikidata changes is much easier.

http://de.wikipedia.org/wiki/Wikipedia:Qualit%C3%A4tssicherung/20._Juni_2014#Johannes_Lubahn contains a link "neues Item erstellen" to Special:NewItem.

My bot is also able to make sugesstion for aliases. You can see an example at http://de.wikipedia.org/wiki/Wikipedia:Qualit%C3%A4tssicherung/20._Juni_2014#Wilhelm_Wundt . But creating a prepopulated link for setting aliases is only possible for existing items because Special:SetAliases needs itemid as input (and i don't know the itemid if the item had not been created till bot run, of course).

Adding an alias field to Special:NewItem is the only possibility way i can thing of, so that users need only two clicks for adding them prepopulated to new items.

Maybe it makes sense to show this field only if the aliases parameter has given a value, so that the empty version is not getting more complicated.


Version: unspecified
Severity: enhancement
Whiteboard: u=dev c=frontend p=0

Details

Reference
bz72316

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenMerl
OpenNone
ResolvedRicordisamoa

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:53 AM
bzimport set Reference to bz72316.
bzimport added a subscriber: Unknown Object (MLST).
Merl created this task.Oct 21 2014, 3:06 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 5:50 AM

Change 227185 had a related patch set uploaded (by Ricordisamoa):
Support aliases in SpecialNewEntity

https://gerrit.wikimedia.org/r/227185

By the way the above patch also works on Special:NewProperty.

Addshore closed this task as Resolved.Jul 27 2015, 9:22 AM

Change 227185 merged by jenkins-bot:
Support aliases in SpecialNewEntity

https://gerrit.wikimedia.org/r/227185

Ricordisamoa set Security to None.
Ricordisamoa removed a subscriber: gerritbot.

Maybe it makes sense to show this field only if the aliases parameter has given a value, so that the empty version is not getting more complicated.

Now it is always shown, but it can easily be hidden if you feel it's too cluttered.

Merl added a comment.Jul 27 2015, 2:44 PM

@Ricordisamoa Thx. Feature is now already added to my bot. Using this new parameter value does not show any error on old version. It is only useless until core is merge into wmf live version.